aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2016-03-03 19:12:53 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-03-07 21:04:09 +0000
commitdf709aa96619b7ca5247a47ce9d06df914355879 (patch)
tree9ee906d7a2ee17a589a5ef919898563ada274a0d /sci-astronomy
parentsci-astronomy/sextractor: testing needs modelfit (diff)
downloadsci-df709aa96619b7ca5247a47ce9d06df914355879.tar.gz
sci-df709aa96619b7ca5247a47ce9d06df914355879.tar.bz2
sci-df709aa96619b7ca5247a47ce9d06df914355879.zip
sci-astronomy/scamp: fixed atlas detection and curl dependency
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/scamp/scamp-9999.ebuild13
1 files changed, 5 insertions, 8 deletions
diff --git a/sci-astronomy/scamp/scamp-9999.ebuild b/sci-astronomy/scamp/scamp-9999.ebuild
index 0964de745..8b07c7a76 100644
--- a/sci-astronomy/scamp/scamp-9999.ebuild
+++ b/sci-astronomy/scamp/scamp-9999.ebuild
@@ -19,7 +19,7 @@ SLOT="0"
IUSE="doc plplot threads"
RDEPEND="
- >=sci-astronomy/cdsclient-3.4
+ net-misc/curl:=
sci-libs/atlas[lapack,threads=]
sci-libs/fftw:3.0
plplot? ( sci-libs/plplot:= )"
@@ -34,13 +34,10 @@ src_prepare() {
[[ -e "${EPREFIX}"/usr/$(get_libdir)/libptclapack.so ]] && \
myclapack=ptclapack
fi
- sed -i \
- -e "s/-lcblas/-l${mycblas}/g" \
- -e "s/AC_CHECK_LIB(cblas/AC_CHECK_LIB(${mycblas}/g" \
- -e "s/-llapack/-l${myclapack}/g" \
- -e "s/\(lapack_lib=\).*/\1${myclapack}/g" \
- -e "s/AC_CHECK_LIB(lapack/AC_CHECK_LIB(${myclapack}/g" \
- acx_atlas.m4 || die
+ sed -e "s/-lcblas/-l${mycblas}/g"\
+ -e "/SEARCH_LIBS/s/ cblas,/${mycblas},/g" \
+ -e "/SEARCH_LIBS/s/lapack_atlas/${myclapack}/g" \
+ -i acx_atlas.m4 || die
eautoreconf
subversion_src_prepare
}